part of wrike;

abstract class AbstractHttpAdapter {
  Future<Map> get(String url, Map<String, String> params, Map headers);
  Future<Map> delete(String url, Map<String, String> params, Map headers);

  Future<Map> post(String url, Map<String, String> params, Map<String, String> headers, {body});
  Future<Map> put(String url, Map<String, String> params, Map<String, String> headers, {body});

  static String encodeParams(Map<String, String> queryParameters) {
    if (queryParameters == null) {
      return "";
    }
    var result = new StringBuffer();
    var first = true;
    queryParameters.forEach((key, value) {
      if (!first) {
        result.write("&");
      }
      first = false;
      result.write(Uri.encodeQueryComponent(key));
      if (value != null && !value.isEmpty) {
        result.write("=");
        result.write(Uri.encodeQueryComponent(value));
      }
    });
    return result.toString();
  }
}
