part of wrike;

typedef Future<WrikeToken> AuthorizeMethod(WrikeConfig cfg, WrikeOAuth oauth);

class WrikeConfig {
  /**
   * OAuth2 Client id
   */
  final String clientId;
  /**
   * OAuth2 clientSecret
  */
  final String clientSecret;
  /**
   * Optional
   */
  final String user;
  /**
   * Optional
   */
  final String password;
  final String redirectUrl;
  final String API_BASE;
  final AbstractHttpAdapter httpAdapter;
  final AbstractTokenStorage tokenStorage;
  final Uri authorizationEndpoint;
  final Uri tokenEndpoint;
  /**
   * Custom auth method, example: client side application
   */
  final AuthorizeMethod authorizeMethod;
  /**
   * Optional
   */
  final String clientVersion;
  WrikeConfig(
      String this.clientId, 
      String this.clientSecret, 
      AbstractHttpAdapter this.httpAdapter, 
      AbstractTokenStorage this.tokenStorage, 
          {
            String authorizationEndpoint: "https://www.wrike.com/oauth2/authorize",
            String tokenEndpoint : "https://www.wrike.com/oauth2/token",
            String this.API_BASE : "https://www.wrike.com/api/v3/",
            String this.user,
            String this.password,
            String this.redirectUrl,
            AuthorizeMethod this.authorizeMethod, 
            String this.clientVersion}):
              this.authorizationEndpoint=Uri.parse(authorizationEndpoint),
              this.tokenEndpoint = Uri.parse(tokenEndpoint){
    
  }
}
