part of wrike;

class WrikeToken {
  final String access_token;
  final String refresh_token;
  final int expires_in;
  final DateTime datetime;

  bool isExpired() {
    return expires_in == null ? false : new DateTime.now().difference(datetime).inSeconds >= expires_in;
  }

  Map<String, dynamic> toJSON() {
    return {
      "access_token": access_token,
      "refresh_token": refresh_token,
      "expires_in": expires_in,
      "datetime": datetime.millisecondsSinceEpoch
    };
  }
  static fromJSON(Map<String, dynamic> data) {
    return new WrikeToken(
        data["access_token"], 
        data["refresh_token"], 
        data["expires_in"], 
        new DateTime.fromMillisecondsSinceEpoch(data["datetime"])
    );
  }
  WrikeToken(String this.access_token, String this.refresh_token, int this.expires_in, [DateTime datetime]) : 
    this.datetime = (datetime == null ? new DateTime.now() : datetime);
}
