part of wrike;

class Account {
  /**
   * Account ID
   */
  final String id;
  /**
  Date format: dd/MM/yyyy or MM/dd/yyyy
  */
  final String dateFormat;
  /**
   * First day of week
   * Week Day, Enum: Sat, Sun, Mon
   */
  final String firstDayOfWeek;
  
  /**
   * Name of account
   */
  final String name;
  /**
   * Virtual folder, denotes the root for deleted folders and tasks. 
   * Can be used in queries to get all folders/tasks in the Recycle Bin. Cannot be used in modification queries
   * */
  final String recycleBinId;
  /**
   * Virtual folder, denotes the root folder of the account. Different users can have different elements in the root, according to their sharing scope. 
   * Can be used in queries to get all folders/tasks in the account, or to create folders/tasks in the user's account root
   * */
  final String rootFolderId;
  /**
  * List of weekdays, not empty. These days are used in task duration computation
  * Week Day, Enum: Sun, Mon, Tue, Wed, Thu, Fri, Sat
  */
  final List<String> workDays;

  Account({this.dateFormat, this.firstDayOfWeek, this.id, this.name, this.recycleBinId, this.rootFolderId, this.workDays});

  static Account fromJSON(Map json){
    return new Account(
      id: json["id"],
      dateFormat: json["dateFormat"],
      firstDayOfWeek: json["firstDayOfWeek"],
      name: json["name"],
      recycleBinId: json["recycleBinId"],
      rootFolderId: json["rootFolderId"],
      workDays: json["workDays"]
      );
  }
}
