part of wrike;

class Attachment {
  /**
   * Attachment ID
   */
  final String id;
  /**ID of user who uploaded the attachment**/
  final String authorId;

  /** Attachment filename**/
  final String name;

  /** Upload date
    Format: Y-M-dTH:m:sZ**/
  final String createdDate;

  /** Attachment version**/
  final int version;

  /** Attachment Type, Enum: Wrike, Google, DropBox, Box**/
  final String type;

  /** Content type**/
  final String contentType;
  /** Size for Wrike Attachments. For external attachments, size is equal to -1**/
  final int size;
  /** ID of related task. Only one of taskId/folderId fields is present**/
  final String taskId;

  /** ID of related folder. Only one of taskId/folderId fields is present**/
  final String folderId;
  /** ID of related comment**/
  final String commentId;

  Attachment({this.id, this.authorId, this.name, this.createdDate, this.version, this.type, this.contentType, this.size, this.taskId, this.folderId, this.commentId}) {

  }

  static Attachment fromJSON(Map json) => new Attachment(
      id: json["id"], 
      authorId: json["authorId"], 
      name: json["name"], 
      createdDate: json["createdDate"], 
      version: json["version"], 
      type: json["type"], 
      contentType: json["contentType"], 
      size: json["size"], 
      taskId: json["taskId"], 
      folderId: json["folderId"], 
      commentId: json["commentId"]);
}
