part of wrike;

class Folder {
  /**
   * Folder ID
   */
  final String id;
  /**
   * Title
   */
  final String title;
  /**
   * Description
   */
  final String description;
  /**
   * Child folder IDs
   */
  final List<String> children;
  /**
   * Folder scope
   */
  final FolderScope scope;
  /**
   * List of user IDs, who have task share
   */
  final List<String> sharedIds;
  
  /**
   * List of parent folder IDs
   */
  final List<String> parentIds;

  Folder({this.id, this.title, this.description, this.children, this.scope, this.sharedIds, this.parentIds});

  static Folder fromJSON(Map json) {
    return new Folder(
        id: json["id"],
        title: json["title"],
        description: json["description"],
        sharedIds: json["sharedIds"],
        scope: FolderScope.parse(json["scope"]),
        children: json["children"],
        parentIds: json["parentIds"]
    );
  }
  toString() {
    return "$id:$title";
  }
}