part of wrike;

class FolderScope {
  /**
   * Virtual root folder of account
   */
  static const FolderScope WsRoot = const FolderScope._internal('WsRoot');
  /**
   * Virtual Recycle Bin folder of account
   */
  static const FolderScope RbRoot = const FolderScope._internal('RbRoot');
  /**
   * Folder in account
   */
  static const FolderScope WsFolder = const FolderScope._internal('WsFolder');
  /**
   * Folder is in Recycle Bin (deleted folder)
   */
  static const FolderScope RbFolder = const FolderScope._internal('RbFolder');
  /**
   * Task in account
   */
  static const FolderScope WsTask = const FolderScope._internal('WsTask');
  /**
   * Task is in Recycle Bin (deleted task)
   */
  static const FolderScope RbTask = const FolderScope._internal('RbTask');

  final String _value;
  const FolderScope._internal(this._value);

  toString() => '$_value';

  static List<FolderScope> getValues() {
    return [WsRoot, RbRoot, WsFolder, RbFolder, WsTask, RbTask];
  }

  static FolderScope parse(String value) {
    return getValues().firstWhere((item) {
      return item._value == value;
    });
  }
}
