part of wrike;

class TaskDates {
  /**
   * Type, Enum: Backlog, Milestone, Planned
   */
  final TaskType type;
  /**
   * Duration is present in Planned tasks and is optional for Backlog tasks
   */
  final num duration;
  /**
   * Start date is present only in Planned tasks
   * Format: Y-M-dTH:m:s
   */
  final String start;

  /**
   * Due date is present only in Planned and Milestone tasks
   * Format: Y-M-dTH:m:s
    */
  final String due;
  
  TaskDates({TaskType this.type,num this.duration,String this.start,String this.due}){
    
  }
  
  static DateTime wrikeDateToDateTime(String date) {
    return DateTime.parse(date.replaceFirst('T',' '));
  }

  static String dateTimeToWrikeDate(DateTime date) {
      return "${date.year}-${date.month}-${date.day}T${date.hour}:${date.minute}:${date.second}";
  }
    
  
  Map<String, dynamic> toJson(){
    return {
     "type":type.toString(),
     "duration":duration,
     "start":start,
     "due":due
    };
  }

  TaskDates.backlog(num this.duration):
    this.type = TaskType.Backlog,
    this.start= null,
    this.due = null{
  }
  
  static TaskDates fromJSON(Map json) {
    return new TaskDates(type:TaskType.parse(json["type"]), duration:json["duration"], start: json["start"],due: json["due"]);
  }
}
