part of wrike;

class User {
  /**
   * User ID
   */
  final String id;
  /**
   * First name
   */
  final String firstName;
  /**
   * Last name
   */
  final String lastName;
  /**
   * UserType, Enum: Person, Group
   */
  final UserType type;
  
  String fullName ()=> "$firstName $lastName".trim();

  /**
   * List of user profiles in accounts accessible for user who makes a request, field is present only when type is 'Person'
   */
  final List<UserProfile> profiles;
  /**
   * Avatar URL
   */
  final String avatarUrl;
  /**
   * Timezone Id, e.g 'America/New_York'
   */
  final String timezone;
  /**
   * Locale
   */
  final String locale;
  /**
   * True if user is deleted, false otherwise
   */
  final bool deleted;
  
  User(this.id,this.firstName,this.lastName,this.type,this.profiles,this.avatarUrl,this.timezone,this.locale,this.deleted);
    static User fromJSON(Map json) {
      var type = UserType.parse(json["type"]);
      var profiles = new List<UserProfile>();
      json["profiles"].forEach((Map item){
        profiles.add(UserProfile.fromJSON(item));
      });
      return new User(
          json["id"], 
          json["firstName"], 
          json["lastName"], 
          type, 
          profiles, 
          json["avatarUrl"], 
          json["timezone"], 
          json["locale"], 
          json["deleted"]);
    }
}



