part of wrike;

class UserType {
  final String _value;
  const UserType._internal(this._value);
  toString() => '$_value';

  /**
   * Person
   */
  static const UserType Person = const UserType._internal('Person');
  /**
   * Group of users. Group userId can be used in folder/task sharing requests only. It has no effect in other operations
   */
  static const UserType Group = const UserType._internal('Group');
  
  static List<UserType> getValues() {
    return [Person, Group];
  }

  static UserType parse(String value) {
    return getValues().firstWhere((item) {
      return item._value == value;
    });
  }
}
