part of wrike.test;

class FolderTest {
  static List<wrike.Account> _accounts;
  static wrike.Account _account;
  static wrike.Folder _target;
  static run() {
    group("Folder", () {
      setUp(() {
        return initApi().then((_) {
          return api.getAccounts().then((accounts) {
            _accounts = accounts;
            _account = _accounts[0];
          });
        });
      });
      test("create", () {
        var f1 = new wrike.Folder(title: randomString(prefix: "title"), description: randomString(prefix: "description"));
        return api.createFolder(_account.rootFolderId, f1).then((f2) {
          _target = f2;
          _folderEqual(f1, f2);
          expect(1, equals(f2.sharedIds.length));
          expect(wrike.FolderScope.WsFolder, equals(f2.scope));
        });
      });
      test("update", () {
        var title = randomString(prefix: "title");
        var description = randomString(prefix: "title");
        return api.updateFolder(_target.id, title: title, description: description).then((f2) {
          expect(title, equals(f2.title));
          expect(description, equals(f2.description));
          _target = f2;
        });
      });

      test("delete", () {
        return api.deleteFolder(_target.id).then((f2) {
          expect(wrike.FolderScope.RbFolder, equals(f2.scope));
        });
      });
    });
  }

  static void _folderEqual(wrike.Folder f1, wrike.Folder f2) {
    expect(f1.title, equals(f2.title));
    expect(f1.description, equals(f2.description));
  }
}
